org.apache.ignite.internal.processors.datastructures

## Class GridCacheQueueAdapter.ClearProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.GridCacheQueueAdapter.ClearProcessor

All Implemented Interfaces:
  Externalizable, Serializable, javax.cache.processor.EntryProcessor<GridCacheQueueHeaderKey,GridCacheQueueHeader,IgniteBiTuple<Long,Long>>

Enclosing class:
  GridCacheQueueAdapter<T>

    protected static class GridCacheQueueAdapter.ClearProcessor
    extends Object
    implements javax.cache.processor.EntryProcessor<GridCacheQueueHeaderKey,GridCacheQueueHeader,IgniteBiTuple<Long,Long>>, Externalizable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClearProcessor()` Required by `Externalizable`.
`ClearProcessor(IgniteUuid id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteBiTuple<Long,Long>` `process(javax.cache.processor.MutableEntry<GridCacheQueueHeaderKey,GridCacheQueueHeader> e, Object... args)`
`void` `readExternal(ObjectInput in)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearProcessor

    public ClearProcessor()

Required by `Externalizable`.

#### ClearProcessor

    public ClearProcessor(IgniteUuid id)

Parameters:
  `id` - Queue unique ID.

### Method Detail

#### process

    public IgniteBiTuple<Long,Long> process(javax.cache.processor.MutableEntry<GridCacheQueueHeaderKey,GridCacheQueueHeader> e,
                                            Object... args)

Specified by:
  `process` in interface `javax.cache.processor.EntryProcessor<GridCacheQueueHeaderKey,GridCacheQueueHeader,IgniteBiTuple<Long,Long>>`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021